declare class EncodeCore<EncodeDataType extends any[]> {
    protected _encodeConfig: EncodeCoreConfig<EncodeDataType>;
    constructor(_encodeConfig: EncodeCoreConfig<EncodeDataType>);
    protected _getHash(parameters: EncodeDataType): string;
    static getObjectUniqueString(object: Record<string, any>): string;
}
type EncodeCoreConfig<EncodeDataType extends any[]> = {
    getParamsString?: (...params: EncodeDataType) => string;
};

export { EncodeCore, type EncodeCoreConfig };
